summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-fps/ut2003-bonuspack-epic
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-fps/ut2003-bonuspack-epic')
-rw-r--r--games-fps/ut2003-bonuspack-epic/Manifest1
-rw-r--r--games-fps/ut2003-bonuspack-epic/files/epic-installer48
-rw-r--r--games-fps/ut2003-bonuspack-epic/metadata.xml5
-rw-r--r--games-fps/ut2003-bonuspack-epic/ut2003-bonuspack-epic-1.ebuild118
4 files changed, 172 insertions, 0 deletions
diff --git a/games-fps/ut2003-bonuspack-epic/Manifest b/games-fps/ut2003-bonuspack-epic/Manifest
new file mode 100644
index 00000000000..4ab497a0002
--- /dev/null
+++ b/games-fps/ut2003-bonuspack-epic/Manifest
@@ -0,0 +1 @@
+DIST UT2003-epicbonuspackone.exe 156913152 RMD160 5faf4028ef7178c964cb913f80bf56f77a5b3c00 SHA1 f4a475dc3bbbbebbf125a6dac74bc01bd74515ef SHA256 034a1641c447e2d933ae89e02fecdd2c0358d041dcf3f7996663aaf6901cee21
diff --git a/games-fps/ut2003-bonuspack-epic/files/epic-installer b/games-fps/ut2003-bonuspack-epic/files/epic-installer
new file mode 100644
index 00000000000..a8c35aa0c75
--- /dev/null
+++ b/games-fps/ut2003-bonuspack-epic/files/epic-installer
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+if [[ -d $HOME/.ut2003/System ]] ; then
+ cd "$HOME/.ut2003/System"
+ echo "Editing UT2003.ini in $PWD"
+ cat >> UT2003.ini <<EOT
+
+[Xinterface.Tab_AudioSettings]
+BonusPackInfo[1]=(PackageName="AnnouncerEvil.uax",Description="Evil")
+BonusPackInfo[2]=(PackageName="AnnouncerFemale.uax",Description="Female")
+BonusPackInfo[3]=(PackageName="AnnouncerSexy.uax",Description="Aroused")
+
+EOT
+
+ ed UT2003.ini >/dev/null 2>&1 <<EOT
+/\[xInterface.ExtendedConsole\]
+a
+MusicManagerClassName=OGGPlayer.UT2OGGMenu
+.
+wq
+EOT
+
+ ed UT2003.ini >/dev/null 2>&1 <<EOT
+$
+?EditPackages?
+a
+EditPackages=BonusPack
+EditPackages=SkaarjPack
+EditPackages=SkaarjPack_rc
+.
+wq
+EOT
+
+ ed UT2003.ini >/dev/null 2>&1 <<EOT
+$
+?ServerPackages?
+a
+ServerPackages=BonusPack
+ServerPackages=SkaarjPack
+ServerPackages=SkaarjPack_rc
+.
+wq
+EOT
+
+ echo "Editing User.ini in $PWD"
+ sed 's/^F11=.*$/F11=MusicMenu/g' < User.ini > User.ini~~
+ mv User.ini~~ User.ini
+fi
diff --git a/games-fps/ut2003-bonuspack-epic/metadata.xml b/games-fps/ut2003-bonuspack-epic/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-fps/ut2003-bonuspack-epic/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>
diff --git a/games-fps/ut2003-bonuspack-epic/ut2003-bonuspack-epic-1.ebuild b/games-fps/ut2003-bonuspack-epic/ut2003-bonuspack-epic-1.ebuild
new file mode 100644
index 00000000000..0544e3aaf3d
--- /dev/null
+++ b/games-fps/ut2003-bonuspack-epic/ut2003-bonuspack-epic-1.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit games
+
+IUSE=""
+DESCRIPTION="Epic Bonus Pack for UT2003"
+HOMEPAGE="http://www.unrealtournament2003.com/"
+SRC_URI="UT2003-epicbonuspackone.exe"
+
+LICENSE="ut2003"
+SLOT="1"
+KEYWORDS="x86"
+RESTRICT="fetch strip"
+
+DEPEND="app-arch/unzip"
+RDEPEND="games-fps/ut2003"
+
+S=${WORKDIR}/UT2003-BonusPack
+
+dir=${GAMES_PREFIX_OPT}/ut2003
+Ddir=${D}/${dir}
+
+pkg_nofetch() {
+ einfo "Please download ${A} and put it into ${DISTDIR}"
+ einfo "http://files.filefront.com/ut2003+epicbonuspackoneexe/;826445;/fileinfo.html"
+}
+
+src_unpack() {
+ unzip -qq "${DISTDIR}"/${A} || die "unpacking"
+ # This is done since the files are the same
+ rm -f "${S}"/Textures/LastManStanding.utx
+}
+
+src_install() {
+ insinto "${dir}"/Help
+ newins "${S}"/Help/BonusPackReadme.txt EpicBonusPack.README || die "README"
+
+ exeinto "${dir}"
+ doexe "${FILESDIR}"/epic-installer
+ dodir "${dir}"/System
+
+ cp -r "${S}"/{Maps,Sounds,StaticMeshes,Textures} "${Ddir}" \
+ || die "Copying Maps/Sounds/Textures"
+ cp "${S}"/System/{*.{det,est,frt,int,itt,kot,tmt,u},User.ini} \
+ "${Ddir}"/System || die "Copying System files"
+ cp -v "${S}"/System/Manifest.ini "${Ddir}"/System/Manifest.ini.epic \
+ || die "Copying Manifest"
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ elog "You will need to run:"
+ elog "emerge --config =${CATEGORY}/${PF}"
+ elog "to make the necessary changes to the system .ini files."
+ elog
+ elog "Each user whom has already played the game will need to run:"
+ elog " ${dir}/epic-installer"
+ echo
+ elog "to update their configuration files in their home directory."
+ echo
+}
+
+pkg_config() {
+ cd ${dir}/System
+ cp Manifest.ini Manifest.ini.pre-epic
+ cp ${dir}/System/Manifest.ini.epic Manifest.ini
+
+ cp Default.ini Default.ini.pre-epic
+ cat >> Default.ini <<EOT
+
+[Xinterface.Tab_AudioSettings]
+BonusPackInfo[1]=(PackageName="AnnouncerEvil.uax",Description="Evil")
+BonusPackInfo[2]=(PackageName="AnnouncerFemale.uax",Description="Female")
+BonusPackInfo[3]=(PackageName="AnnouncerSexy.uax",Description="Aroused")
+
+EOT
+
+ ed Default.ini >/dev/null 2>&1 <<EOT
+/\[xInterface.ExtendedConsole\]
+a
+MusicManagerClassName=OGGPlayer.UT2OGGMenu
+.
+w
+q
+EOT
+
+ ed Default.ini >/dev/null 2>&1 <<EOT
+$
+?EditPackages?
+a
+EditPackages=BonusPack
+EditPackages=SkaarjPack
+EditPackages=SkaarjPack_rc
+.
+w
+q
+EOT
+
+ ed Default.ini >/dev/null 2>&1 <<EOT
+$
+?ServerPackages?
+a
+ServerPackages=BonusPack
+ServerPackages=SkaarjPack
+ServerPackages=SkaarjPack_rc
+.
+w
+q
+EOT
+
+ cp DefUser.ini DefUser.ini.pre-epic
+ sed -i 's/^F11=.*$/F11=MusicMenu/g' DefUser.ini
+ chown games:games ${dir}/System/*.ini
+}